Skip to main content
`Ctrl`+`K`

# DMPlexMetricIsUniform

Is a metric uniform?

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricIsUniform(DM dm, PetscBool *uniform)

## Input Parameters

- dm - The `DM`

## Output Parameters

- uniform - Is the metric uniform?

## See Also

`DMPLEX`, `DMPlexMetricSetUniform()`, `DMPlexMetricIsIsotropic()`, `DMPlexMetricRestrictAnisotropyFirst()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages